Kyb application
4 operations under kyb-application. Examples read $API and $KEY from your shell.
- GET /v1/kyb-application
- POST /v1/kyb-application
- PATCH /v1/kyb-application
- POST /v1/kyb-application/submit
GET /v1/kyb-application
Responses
200 Default Response
object
idstring requiredstatusstring required one ofdraft,submitted,in_review,info_requested,approved,rejectedlegal_namestring required (nullable)registration_numberstring required (nullable)countrystring required (nullable)beneficial_ownersarray requiredEach item:
namestring requiredownership_percentinteger required
expected_activitystring required (nullable)info_request_notestring required (nullable)submitted_atstring required (nullable)decided_atstring required (nullable)created_atstring requiredupdated_atstring required
Errors are RFC 9457 problem documents (application/problem+json).
curl
curl -s \
"$API/v1/kyb-application" \
-H "authorization: Bearer $KEY"SDK
import { createScrClient } from "@scr/sdk";
// The client sends the API key for you.
const client = createScrClient({ baseUrl: process.env.API!, apiKey: process.env.KEY! });
const { data, error } = await client.GET("/v1/kyb-application");POST /v1/kyb-application
Send an Idempotency-Key header on every POST so a retry never repeats the request.
Request body
application/json, required
object
legal_namestring optionalregistration_numberstring optionalcountrystring optionalbeneficial_ownersarray optionalEach item:
namestring requiredownership_percentinteger required
expected_activitystring optional
Responses
201 Default Response
object
idstring requiredstatusstring required one ofdraft,submitted,in_review,info_requested,approved,rejectedlegal_namestring required (nullable)registration_numberstring required (nullable)countrystring required (nullable)beneficial_ownersarray requiredEach item:
namestring requiredownership_percentinteger required
expected_activitystring required (nullable)info_request_notestring required (nullable)submitted_atstring required (nullable)decided_atstring required (nullable)created_atstring requiredupdated_atstring required
Errors are RFC 9457 problem documents (application/problem+json).
curl
curl -s \
-X POST \
"$API/v1/kyb-application" \
-H "authorization: Bearer $KEY" \
-H "idempotency-key: $(uuidgen)" \
-H "content-type: application/json" \
-d '{}'SDK
import { createScrClient } from "@scr/sdk";
// The client sends the API key and an Idempotency-Key for you.
const client = createScrClient({ baseUrl: process.env.API!, apiKey: process.env.KEY! });
const { data, error } = await client.POST("/v1/kyb-application", {
body: {},
});PATCH /v1/kyb-application
Request body
application/json, required
object
legal_namestring optionalregistration_numberstring optionalcountrystring optionalbeneficial_ownersarray optionalEach item:
namestring requiredownership_percentinteger required
expected_activitystring optional
Responses
200 Default Response
object
idstring requiredstatusstring required one ofdraft,submitted,in_review,info_requested,approved,rejectedlegal_namestring required (nullable)registration_numberstring required (nullable)countrystring required (nullable)beneficial_ownersarray requiredEach item:
namestring requiredownership_percentinteger required
expected_activitystring required (nullable)info_request_notestring required (nullable)submitted_atstring required (nullable)decided_atstring required (nullable)created_atstring requiredupdated_atstring required
Errors are RFC 9457 problem documents (application/problem+json).
curl
curl -s \
-X PATCH \
"$API/v1/kyb-application" \
-H "authorization: Bearer $KEY" \
-H "content-type: application/json" \
-d '{}'SDK
import { createScrClient } from "@scr/sdk";
// The client sends the API key for you.
const client = createScrClient({ baseUrl: process.env.API!, apiKey: process.env.KEY! });
const { data, error } = await client.PATCH("/v1/kyb-application", {
body: {},
});POST /v1/kyb-application/submit
Send an Idempotency-Key header on every POST so a retry never repeats the request.
Request body
application/json, required
object
Responses
200 Default Response
object
idstring requiredstatusstring required one ofdraft,submitted,in_review,info_requested,approved,rejectedlegal_namestring required (nullable)registration_numberstring required (nullable)countrystring required (nullable)beneficial_ownersarray requiredEach item:
namestring requiredownership_percentinteger required
expected_activitystring required (nullable)info_request_notestring required (nullable)submitted_atstring required (nullable)decided_atstring required (nullable)created_atstring requiredupdated_atstring required
Errors are RFC 9457 problem documents (application/problem+json).
curl
curl -s \
-X POST \
"$API/v1/kyb-application/submit" \
-H "authorization: Bearer $KEY" \
-H "idempotency-key: $(uuidgen)" \
-H "content-type: application/json" \
-d '{}'SDK
import { createScrClient } from "@scr/sdk";
// The client sends the API key and an Idempotency-Key for you.
const client = createScrClient({ baseUrl: process.env.API!, apiKey: process.env.KEY! });
const { data, error } = await client.POST("/v1/kyb-application/submit", {
body: {},
});